Page MenuHomePhabricator

Translate should use the SidebarBeforeOutput hook
Closed, ResolvedPublic

Description

Translate extension should use the SidebarBeforeOutput hook (instead of BaseTemplateToolbox hook) to add sidebar element to the toolbox section.

Event Timeline

Ammarpad created this task.Jun 2 2020, 7:02 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 2 2020, 7:02 AM

@Ammarpad: If this is about the Translate extension code then it should be tagged as such?

Mainframe98 added a subscriber: Mainframe98.

Note that the Translate extension is part of the MediaWiki Language Extension Bundle, and has a strict compatibility policy. The extension must stay compatible with 1.33.

@Ammarpad: If this is about the Translate extension code then it should be tagged as such?

Yes, it should. Thanks for correcting it.

Change 601654 had a related patch set uploaded (by Mainframe98; owner: Mainframe98):
[mediawiki/extensions/Translate@master] Use SidebarBeforeOutput hook to add toolbox items

https://gerrit.wikimedia.org/r/601654

Jdlrobson triaged this task as High priority.Jun 5 2020, 8:51 PM

Change 601654 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Use SidebarBeforeOutput hook to add toolbox items

https://gerrit.wikimedia.org/r/601654

Jdlrobson closed this task as Resolved.Jun 9 2020, 2:08 AM